# $Revision: 1.18 $, $Date: 2012/01/22 16:29:23 $
%define		module	EditObj2
Summary:	Useful tool for writing editors of all kinds
Summary(pl.UTF-8):	Narzędzie służące do tworzenia różnych edytorów
Name:		python-%{module}
Version:	0.4
Release:	1
License:	GPL v2+
Group:		Applications
Source0:	http://download.gna.org/songwrite/%{module}-%{version}.tar.gz
# Source0-md5:	6f9d1422726da58743252c0779a4858b
URL:		http://home.gna.org/oomadness/en/editobj/
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	python-tkinter
Obsoletes:	python-EditObj
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
EditObj can create and display a Tkinter dialog box for editing any
Python object (similarly to what Java call a Bean editor, but for
Python object). EditObj is a useful tool for writing (text or
non-text) editors of all kinds, including GUI editor and 3D editor.

%description -l pl.UTF-8
EditObj tworzy i wyświetla okno dialogowe Tkinter do edycji obiektów
Pythona (podobnie do edytora Java Bean, tylko dla objektów Pythona).
EditObj jest użytecznym narzędziem służącym do tworzenia różnych
edytorów (tekstowych lub nie), włącznie z edytorami GUI i 3D.

%prep
%setup -q -n %{module}-%{version}

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install \
	--root=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{py_sitescriptdir}/editobj2
%{py_sitescriptdir}/editobj2/*.py[co]
%{py_sitescriptdir}/editobj2/icons
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/EditObj2-*.egg-info
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-EditObj2.spec,v $
Revision 1.18  2012/01/22 16:29:23  zbyniu
- up to 0.4

Revision 1.17  2011/03/10 13:05:15  lisu
- updated to 0.3
- python version specific egg-info
- adapterized

Revision 1.16  2010/07/08 08:09:12  arekm
- release 3

Revision 1.15  2009/11/28 18:04:00  jajcus
- Do not use %{py_sitedir} in noarch python packages!
- Release: 2

Revision 1.14  2009/03/31 08:36:12  lisu
- build noarch

Revision 1.13  2009/03/31 07:54:00  lisu
- 0.2.1

Revision 1.12  2008/12/03 17:38:05  qboosh
- macros for py_postclean

Revision 1.11  2008/12/02 09:36:49  lisu
- 0.2 version
- BRs: python-devel >= 2.5, rpm-pythonprov
- post cleaning
- added egg-info

Revision 1.10  2008/11/28 15:54:49  lisu
- change name (python-EditObj.spec -> python-EditObj2.spec)
- version 0.1
- one more %%dir in %%files
- adapter

Revision 1.9  2008/11/28 09:42:44  lisu
- new URL

Revision 1.8  2008/10/03 17:49:02  arekm
- release 2

Revision 1.7  2007-02-13 08:06:42  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.5  2005/03/30 00:11:07  troll
- updated to 0.5.6
- unifications, cosmetics

Revision 1.4  2004/12/16 11:16:02  adamg
- icons are placed in %%{py_sitescriptdir}

Revision 1.3  2004/11/03 22:30:58  paladine
- formatting

Revision 1.2  2004/07/28 08:03:15  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.1  2004/01/22 18:28:56  grzegol
- new
